Apache Struts API Documentation: Class RedirectTag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.logic
Class RedirectTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.logic.RedirectTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class RedirectTag
extends javax.servlet.jsp.tagext.TagSupport

Generate a URL-encoded redirect to the specified URI.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `anchor` The anchor to be added to the end of the generated hyperlink.
`protected java.lang.String` | `forward` The logical forward name from which to retrieve the redirect URI.
`protected java.lang.String` | `href` The redirect URI.
`protected static MessageResources` | `messages` The message resources for this package.
`protected java.lang.String` | `name` The JSP bean name for query parameters.
`protected java.lang.String` | `page` The context-relative page URL (beginning with a slash) to which this redirect will be rendered.
`protected java.lang.String` | `paramId` The single-parameter request parameter name to generate.
`protected java.lang.String` | `paramName` The single-parameter JSP bean name.
`protected java.lang.String` | `paramProperty` The single-parameter JSP bean property.
`protected java.lang.String` | `paramScope` The single-parameter JSP bean scope.
`protected java.lang.String` | `property` The JSP bean property name for query parameters.
`protected java.lang.String` | `scope` The scope of the bean specified by the name property, if any.
`protected boolean` | `transaction` Include our transaction control token?

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext, parent, values`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RedirectTag()`

Method Summary
`int` | `doEndTag()` Render the redirect and skip the remainder of this page.
`int` | `doStartTag()` Defer generation until the end of this tag is encountered.
`java.lang.String` | `getAnchor()`
`java.lang.String` | `getForward()`
`java.lang.String` | `getHref()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPage()`
`java.lang.String` | `getParamId()`
`java.lang.String` | `getParamName()`
`java.lang.String` | `getParamProperty()`
`java.lang.String` | `getParamScope()`
`java.lang.String` | `getProperty()`
`java.lang.String` | `getScope()`
`boolean` | `getTransaction()`
`void` | `release()` Release any acquired resources.
`void` | `setAnchor(java.lang.String anchor)`
`void` | `setForward(java.lang.String forward)`
`void` | `setHref(java.lang.String href)`
`void` | `setName(java.lang.String name)`
`void` | `setPage(java.lang.String page)`
`void` | `setParamId(java.lang.String paramId)`
`void` | `setParamName(java.lang.String paramName)`
`void` | `setParamProperty(java.lang.String paramProperty)`
`void` | `setParamScope(java.lang.String paramScope)`
`void` | `setProperty(java.lang.String property)`
`void` | `setScope(java.lang.String scope)`
`void` | `setTransaction(boolean transaction)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### anchor

    protected java.lang.String anchor

  The anchor to be added to the end of the generated hyperlink.

### forward

    protected java.lang.String forward

  The logical forward name from which to retrieve the redirect URI.

### href

    protected java.lang.String href

  The redirect URI.

### messages

    protected static MessageResources messages

  The message resources for this package.

### name

    protected java.lang.String name

  The JSP bean name for query parameters.

### page

    protected java.lang.String page

  The context-relative page URL (beginning with a slash) to which this redirect will be rendered.

### paramId

    protected java.lang.String paramId

  The single-parameter request parameter name to generate.

### paramName

    protected java.lang.String paramName

  The single-parameter JSP bean name.

### paramProperty

    protected java.lang.String paramProperty

  The single-parameter JSP bean property.

### paramScope

    protected java.lang.String paramScope

  The single-parameter JSP bean scope.

### property

    protected java.lang.String property

  The JSP bean property name for query parameters.

### scope

    protected java.lang.String scope

  The scope of the bean specified by the name property, if any.

### transaction

    protected boolean transaction

  Include our transaction control token?

Constructor Detail

### RedirectTag

    public RedirectTag()

Method Detail

### getAnchor

    public java.lang.String getAnchor()

### setAnchor

    public void setAnchor(java.lang.String anchor)

### getForward

    public java.lang.String getForward()

### setForward

    public void setForward(java.lang.String forward)

### getHref

    public java.lang.String getHref()

### setHref

    public void setHref(java.lang.String href)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getPage

    public java.lang.String getPage()

### setPage

    public void setPage(java.lang.String page)

### getParamId

    public java.lang.String getParamId()

### setParamId

    public void setParamId(java.lang.String paramId)

### getParamName

    public java.lang.String getParamName()

### setParamName

    public void setParamName(java.lang.String paramName)

### getParamProperty

    public java.lang.String getParamProperty()

### setParamProperty

    public void setParamProperty(java.lang.String paramProperty)

### getParamScope

    public java.lang.String getParamScope()

### setParamScope

    public void setParamScope(java.lang.String paramScope)

### getProperty

    public java.lang.String getProperty()

### setProperty

    public void setProperty(java.lang.String property)

### getScope

    public java.lang.String getScope()

### setScope

    public void setScope(java.lang.String scope)

### getTransaction

    public boolean getTransaction()

### setTransaction

    public void setTransaction(boolean transaction)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Defer generation until the end of this tag is encountered.
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Render the redirect and skip the remainder of this page.
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation